Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Semaphore.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Semaphore.h"`
`#include "ace/Thread_Semaphore.inl"`

Include dependency graph for Thread_Semaphore.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Malloc_Lock_Adapter_T< ACE_Thread_Semaphore >
| Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Thread_Semaphore. More...
class | ACE_Thread_Semaphore
| Wrapper for Dijkstra style general semaphores that work only within one process. More...

## Detailed Description

Id:
  Thread_Semaphore.h,v 4.4 2003/12/18 22:56:52 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>